Index: aclocal/rtems-top.m4
===================================================================
--- aclocal/rtems-top.m4	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ aclocal/rtems-top.m4	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -15,4 +15,8 @@
 TARGET_SUBDIR="$withval",
 TARGET_SUBDIR=".")
+
+## HACK to allow gnu-make conditionals in automake-Makefiles.
+ENDIF=endif
+AC_SUBST(ENDIF)
 
 RTEMS_TOPdir="$1";
Index: c/src/exec/score/include/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/include/rtems/score/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/exec/score/include/rtems/score/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -6,5 +6,4 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
 
 # We only build multiprocessing related files if HAS_MP was defined
Index: c/src/tests/itrontests/itronmbf01/Makefile.am
===================================================================
--- c/src/tests/itrontests/itronmbf01/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/itrontests/itronmbf01/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/itrontests/itronmbox01/Makefile.am
===================================================================
--- c/src/tests/itrontests/itronmbox01/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/itrontests/itronmbox01/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/itrontests/itronsem01/Makefile.am
===================================================================
--- c/src/tests/itrontests/itronsem01/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/itrontests/itronsem01/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -25,5 +25,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/itrontests.am
 
Index: c/src/tests/psxtests/psx01/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx01/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/psxtests/psx01/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx02/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx02/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/psxtests/psx02/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/psxtests/psx03/Makefile.am
===================================================================
--- c/src/tests/psxtests/psx03/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/psxtests/psx03/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/psxtests.am
 
Index: c/src/tests/sptests/sp01/Makefile.am
===================================================================
--- c/src/tests/sptests/sp01/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp01/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp02/Makefile.am
===================================================================
--- c/src/tests/sptests/sp02/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp02/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp03/Makefile.am
===================================================================
--- c/src/tests/sptests/sp03/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp03/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp04/Makefile.am
===================================================================
--- c/src/tests/sptests/sp04/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp04/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp05/Makefile.am
===================================================================
--- c/src/tests/sptests/sp05/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp05/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp06/Makefile.am
===================================================================
--- c/src/tests/sptests/sp06/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp06/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp07/Makefile.am
===================================================================
--- c/src/tests/sptests/sp07/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp07/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -27,5 +27,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp08/Makefile.am
===================================================================
--- c/src/tests/sptests/sp08/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp08/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp09/Makefile.am
===================================================================
--- c/src/tests/sptests/sp09/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp09/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -30,5 +30,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp11/Makefile.am
===================================================================
--- c/src/tests/sptests/sp11/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp11/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp12/Makefile.am
===================================================================
--- c/src/tests/sptests/sp12/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp12/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp13/Makefile.am
===================================================================
--- c/src/tests/sptests/sp13/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp13/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp14/Makefile.am
===================================================================
--- c/src/tests/sptests/sp14/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp14/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp15/Makefile.am
===================================================================
--- c/src/tests/sptests/sp15/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp15/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/sptests/sp16/Makefile.am
===================================================================
--- c/src/tests/sptests/sp16/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/sptests/sp16/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sptests.am
 
Index: c/src/tests/tmtests/tm01/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm01/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm01/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm02/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm02/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm02/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm03/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm03/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm03/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm04/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm04/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm04/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm05/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm05/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm05/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm06/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm06/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm06/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm07/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm07/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm07/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm08/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm08/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm08/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm09/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm09/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm09/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm10/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm10/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm10/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm11/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm11/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm11/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm12/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm12/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm12/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm13/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm13/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm13/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm14/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm14/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm14/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm15/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm15/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm15/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm16/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm16/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm16/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm17/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm17/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm17/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm18/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm18/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm18/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm19/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm19/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm19/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm20/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm20/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm20/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm21/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm21/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm21/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm22/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm22/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm22/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm23/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm23/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm23/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm24/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm24/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm24/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm25/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm25/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm25/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm26/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm26/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm26/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm27/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm27/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm27/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm28/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm28/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm28/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tm29/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm29/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tm29/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tmck/Makefile.am
===================================================================
--- c/src/tests/tmtests/tmck/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tmck/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
Index: c/src/tests/tmtests/tmoverhd/Makefile.am
===================================================================
--- c/src/tests/tmtests/tmoverhd/Makefile.am	(revision c48d648576dd7d71d2384e114c4d14fe8ccd0327)
+++ c/src/tests/tmtests/tmoverhd/Makefile.am	(revision a3ab6ab6deae69a8cf887fb910914a0b4f5df264)
@@ -26,5 +26,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/tmtests.am
 
